CREATE TABLE egi_pub_attch_catgs (
    PUB_ATTCH_CATGS_SEQ_ID    NUMBER(18, 0),
    TP_TYPE                   VARCHAR2(256),
    ENTITY_CODE               VARCHAR2(120),
    OPTION_ID                 NUMBER(18, 0)    NOT NULL,
    CATEGORY_ID               NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    PUB_ATTCH_CATGS_SEQ_ID    NUMBER(18, 0),
    OPTION_ID                 NUMBER(18, 0)    NOT NULL,
    CATEGORY_ID               NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    TP_TYPE                   VARCHAR2(256),
    ENTITY_CODE               VARCHAR2(120),
    CONSTRAINT pk_egi_pub_attch_catgs PRIMARY KEY (PUB_ATTCH_CATGS_SEQ_ID, PUB_ATTCH_CATGS_SEQ_ID)
);
